/* Before adding any unnecessary CSS rules, please check out the Snap documentation at https://bit.ly/3PqSii8. */
/* Override Styles */
/*
.service-style-1 h2 {margin: 10px 0;}
.ry-menu .ry-nav li .dropdown-toggle {padding: 30px 0;}
ul#quick-links li a {display: block;width: 100%;}
#in-services-3 ul li a {margin-left: 0px;margin-top:30px}
*/
[x-cloak] { display: none !important; }
.promotions img { min-width: 22rem; max-width:22rem;}
#in-services-style-2.squares .ry-each:before, #in-services-style-2.squares .ry-each img {border-radius: 0;}
.mobile-menu-icon a{display: flex;height: 100%;width: 100%;justify-content: center;align-items: center;}
body.fancybox-active .ry-sticky-menu.fixed {z-index: 9999;}
.testimonials-swiper p,
.testimonials-swiper-2 p{
overflow: hidden;
display: -webkit-box;
-webkit-box-orient: vertical;
-webkit-line-clamp: 4
}
.service-hover {
    position: absolute;
    z-index: 9;
    opacity: 0;
    transition: opacity 0.3s ease;
    text-align: center;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    color: white;
}

/* Show service-hover when parent with data-target is hovered */
[data-target]:hover .service-hover {
    opacity: 1;
}

/* Apply the overlay effect when parent is hovered */
[data-target]:hover .service-hover::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 100%;
    z-index: -1; /* Make sure it's behind the text */
}
.mm-navbar {
	color: #ffffff;
}

/* HP Edits - Started <July 01, 2026> */

/**/
	/*fonts*/

	/*btns*/

/*Modal*/
/* Header */
	/**/
.snap-mobile-menu {
    background: white;
}

mm-burger {
    color: #374151;
}
.ry-menu .ry-nav li.primary .caret {
    border-color: #374151;
}

.ry-menu .ry-nav li.primary:hover .caret {
    border-color: var(--color-secondary-background);
}
.with-gradient:before {
    background-image: linear-gradient(to bottom, white, transparent, transparent, #000000c7);
}
.ry-menu .ry-nav li.dropdown .dropdown-menu li {
    background: var(--color-primary-background);
    color: var(--color-primary-text);
}
body[data-page-name="index"] #navigation {
    position: absolute;
}
.cta-btn:nth-child(odd) {
    background-color: var(--color-primary-background);
    width: 250px;
}
.cta-btn:nth-child(odd) a {
    max-width: 250px;
}
.cta-btn:nth-child(odd):hover {
    background-color: transparent;
    color: var(--color-primary-background);
    border-color: var(--color-primary-background);
}
.slider-info {
    min-height: fit-content;
}
/* Hero */
	/**/
#hp-slider, #hp-slider .swiper-wrapper, .homepage-swiper .swiper-slide img {
    height: 100vh !important;
    object-fit: cover;
}
#hp-slider .swiper-pagination-bullet {
    background-color: white;
}
/* CTA */
	/**/
/* Welcome */
	/**/
.module-welcome.style-5 .ry-each.image-wrapper {
    border: none;
}

.module-welcome.style-5 .ry-each.image-wrapper .photo img {
    object-fit: contain;
}

.module-welcome.style-5 .ry-each.image-wrapper .photo {
    padding-top: 40%;
}

.module-welcome.style-5:after {
    content: "";
    width: 32%;
    height: 100%;
    position: absolute;
    top: 0;
    right: 0;
    background: url(https://s3.amazonaws.com/static.organiclead.com/Site-ce0385e9-c790-4ae8-8bc7-b84bde07b4ed/backgrounds/ECE_welcome_before_v2.jpg) center center no-repeat;
    background-size: cover;
}
/* Services */
	/**/
#services-12 > div:nth-child(odd), #services-12 > div:nth-child(even) {
    border-radius: 0;
}


#services-12 > div:nth-child(odd) > div > p, #services-12 > div:nth-child(even) > div > p {
    overflow: hidden;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 4;
}

#services-12 > div:nth-child(even) > div > a,
#services-12 > div:nth-child(odd) > div > a {
    filter: invert(1);
}

#services-12 > div:nth-child(odd) > div > h4,
#services-12 > div:nth-child(even) > div > h4 {
    color: #374151;
	transition: all ease .3s;
}

#services-12 > div:nth-child(odd) > div > p,
#services-12 > div:nth-child(even) > div > p {
    color: #666;
	transition: all ease .3s;
}
#services-12 > div:nth-child(odd), #services-12 > div:nth-child(even) {
    background: #fafafa;
    border: 10px solid var(--color-secondary-background);
	transition: all ease .3s;
}
#services-12 > div:nth-child(odd) > div > a, #services-12 > div:nth-child(even) > div > a {
    background-color: var(--color-secondary-background);
}
#services-12 > div:nth-child(even):hover, #services-12 > div:nth-child(odd):hover {
  background-color: var(--color-primary-background);
}

#services-12 > div:nth-child(even):hover img,
#services-12 > div:nth-child(odd):hover img {
    filter: invert(1);
}
#services-12 > div:nth-child(odd):hover > div > h4,
#services-12 > div:nth-child(even):hover > div > h4 {
    color: var(--color-primary-text);
}

#services-12 > div:nth-child(odd):hover > div > p,
#services-12 > div:nth-child(even):hover > div > p {
    color: var(--color-primary-text);
}
#services-12 > div:nth-child(2n+1):hover, #services-12 > div:nth-child(2n):hover {
    border: none;
}
/* Meet the Team */
	/**/
.ry-hp-team img {
	z-index: 2;
}
.ry-hp-team::after {
	content: "";
	position: absolute;
	top: 0;
	left: 0;
	height: 100%;
    width: 32%;
	background: url(https://s3.amazonaws.com/static.organiclead.com/Site-ce0385e9-c790-4ae8-8bc7-b84bde07b4ed/backgrounds/ECE_team_before_v2.jpg) center center no-repeat;
	background-size: cover;
	z-index: 1;
}
/* Insurance */
	/**/
/* Brand */
	/**/

#hp-brands-6 .overflow-hidden {padding: 10px 0 0 0;}

#hp-brands-6 .swiper-slide {
    background: none;
}
/* Request Appointment */
	/**/
/* Testimonials */
	/**/

.testimonials-swiper .swiper-slide {
    background: var(--color-primary-background);
    border-radius: 0;
}

.testimonials-swiper .swiper-slide p {
    color: var(--color-primary-text);
}

.testimonials-swiper {
    margin-top: 10px;
}
.t-swiper-button-next, .t-swiper-button-prev, .brand-4-swiper-button-next, .brand-4-swiper-button-prev {
    background-color: var(--color-primary-background);
}

.testimonials-swiper .swiper-slide:nth-child(even) {
    background: var(--color-secondary-background);
}
/* Footer */
	/**/
#ry-footer::before {
    background-color: var(--color-secondary-background);
}
/*Media Queries*/
	/**/
@media (min-width: 768px) {
    .slider-info-left-bottom {
        bottom: 5%;
    }
}
@media (max-width:1080px){
    .module-welcome.style-5:after {
        width: 100%;
        height: 32%;
        top: auto;
        bottom: 0;
    }
}

@media (max-width:1024px){
    body[data-page-name="index"] #navigation {
        position: relative;
    }
    #hp-slider, #hp-slider .swiper-wrapper, .homepage-swiper .swiper-slide img {
        height: 100% !important;
    }
	.ry-hp-team::after {
		width: 100%;
		height: 40%;
		top: auto;
		bottom: 0;
	}
}

@media (max-width:425px){
    .module-welcome.style-5:after {
        height: 22%;
    }
}
/* End - HP Edits*/


#ry-footer .grid  > div { 
  width: fit-content;
  margin: unset
}
#ry-footer .grid  {
  display: flex;
  justify-content: space-between;
  width: 95%;
  margin-inline: auto
}


#ry-footer ul.max-w-\[300px\] li  {
  display: flex;
  gap: 15px
}
#ry-footer ul.max-w-\[300px\] li span {
  display: flex;
  text-wrap:nowrap
}

#ry-footer ul.max-w-\[300px\] li span:last-child {
  display: block;
  width: 140px;
  text-align:start
}

#ry-footer ul.max-w-\[300px\] li span:first-child {
  width: 120px;
  display: block;
  text-align:start;
}
#ry-footer h4 {
  text-wrap: nowrap
}

#ry-footer .grid {
  display: flex;
}
#ry-footer .col-span-full {
  width: calc(25% - 10px);
}
#ry-footer .container {
  max-width: 1600px !important;
  width: 90% !important;
	padding-bottom:10PX
}
#ry-footer .border-t  img {
height:unset;
max-width:120px
}
#ry-footer .border-t * {
font-size:16px !important;
}
@media(max-width:1400px) {
  #ry-footer .col-span-full li * {
    font-size:16px

  }
}
@media(max-width:1279px) {
	#ry-footer .border-t > div {
		width: 100%;;
		display:flex;
		align-items:center;
		justify-content:center;

	}
}

@media(max-width:1199px) {
	#ry-footer .border-t {
		padding:20px 0;
	}

	#ry-footer .grid {
		display: flex;
		flex-wrap:wrap;
		max-width:800px;
		margin-inline: auto;
		width:100%;
		row-gap:60px
	}
	#ry-footer .grid  > div {
		width: calc(50% - 15px);
		display: flex;
		flex-direction: column;
		margin-inline:auto
	}
	#ry-footer .col-span-full > div, 
	#ry-footer .col-span-full ul{
		width:100%;
	}
	#ry-footer .col-span-full:last-child ul{
		max-width:300px !important;
		width:100%;
		margin-inline:auto
	}
	#ry-footer .grid * {
		text-align: center
	}
	#ry-footer .border-t * {
		text-align: center;
		justify-content: center
	}
	#ry-footer .border-t {
		flex-direction: column;
		justify-content: center;
		align-items: center
	}
}




@media(max-width:700px) {
	#ry-footer .grid  > div {
		width: 100%;
	} 
	#ry-footer .grid {
        row-gap: 40px;
    }
}

div#contents ul.pagination li {
    list-style: none !important;
}

body[data-page-name="contact-us"] #footer-map {
	display: none;
}

body[data-page-name="contact-us"] #ry-footer-3 {
	padding-top: 220px;
}

.list-3 ul p {
		margin: 0;
	}
@media (min-width: 620px) {
	.list-3 ul {
		column-count: 3;
	}
}